export function useRequestOverlay() {
  const hasActiveRequest = useState('request-overlay-active', () => false)
  const showRequestDetails = useState('request-overlay-visible', () => false)
  const requestDetails = useState('request-overlay-details', () => null)

  return {
    hasActiveRequest,
    showRequestDetails,
    requestDetails,
  }
}
